# studio::Dock_History Class Reference

`#include <dock_history.h>`

Inheritance diagram for studio::Dock_History:

List of all members.

## Public Member Functions

etl::loose_handle < studio::Instance > | get_selected_instance ()
void | clear_undo ()
void | clear_redo ()
void | clear_undo_and_redo ()
bool | on_action_event (GdkEvent *event)
void | on_action_toggle (const Glib::ustring &path)
void | update_undo_redo ()
| Dock_History ()
| ~Dock_History ()

## Protected Member Functions

virtual void | init_instance_vfunc (etl::loose_handle< Instance > instance)

## Constructor & Destructor Documentation

Dock_History::Dock_History | ( |  | ) |

References _, clear_redo(), clear_undo(), clear_undo_and_redo(), synfigapp::Action::create(), studio::App::redo(), studio::Dockable::set_toolbar(), studio::App::signal_instance_deleted(), studio::App::signal_instance_selected(), studio::App::ui_manager(), and studio::App::undo().

Dock_History::~Dock_History | ( |  | ) |

## Member Function Documentation

etl::loose_handle<studio::Instance> studio::Dock_History::get_selected_instance | ( |  | ) | `[inline]`

Referenced by on_action_event().

void Dock_History::clear_undo | ( |  | ) |

References _, and studio::App::dialog_yes_no().

Referenced by Dock_History().

void Dock_History::clear_redo | ( |  | ) |

References _, and studio::App::dialog_yes_no().

Referenced by Dock_History().

void Dock_History::clear_undo_and_redo | ( |  | ) |

References _, and studio::App::dialog_yes_no().

Referenced by Dock_History().

bool Dock_History::on_action_event | ( | GdkEvent * | event | ) |

References studio::HistoryTreeStore::Model::action, COLUMNID_JUMP, get_selected_instance(), studio::HistoryTreeStore::Model::is_redo, and studio::HistoryTreeStore::Model::is_undo.

void Dock_History::on_action_toggle | ( | const Glib::ustring & | path | ) |

References studio::HistoryTreeStore::Model::action.

void Dock_History::update_undo_redo | ( |  | ) |

References studio::App::get_selected_instance().

Referenced by init_instance_vfunc().

void Dock_History::init_instance_vfunc | ( | etl::loose_handle< Instance > | instance | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References update_undo_redo().

The documentation for this class was generated from the following files:

- dock_history.h
- dock_history.cpp